Get all
get
/fscmRestApi/resources/11.13.18.05/itemStructures/{BillSequenceId}/child/Component/{ComponentSequenceId}/child/WhereUsed
Request
Path Parameters
-
BillSequenceId(required): integer
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
ComponentSequenceId(required): number
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format: ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables:- PrimaryKey
Finder Variables:
- PrimaryKey
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- BasisValue; string; An attribute value that indicates how the component quantity is consumed in an assembly. The values include item and lot.
- ComponentBillSequenceId; integer; A unique identifier of the parent structure.
- ComponentItemDescription; string; An attribute value that represents the item description of a component.
- ComponentItemNumber; string; An attribute value that represents the item number of a component.
- ComponentPath; string; An attribute value that represents the hierarchical Path of a component item to the root item in a structure.
- ComponentSequenceId; integer; A unique identifier for an Component in a structure.
- EffectivityControlValue; string; An attribute which value indicates the way effectively is controlled within a structure. The values include Date, Unit Number, or Serial Number.
- EndDateTime; string; The date and time on which a component in a structure ends.
- FromSerialNumber; string; Starting Item serial number that a component is effective in a structure. Valid only for serial effective structures.
- FromUnitNumber; string; Starting Item Unit Number or starting Item Serial Number that a component is effective in a structure. Valid only for unit effective structures.
- ItemClassName; string; An attribute that value provides metadata common to all items that share the category.
- ItemStatusValue; string; An attribute that defines codes used to control the transaction activity of an item. For example, an item in active status can be customer order enabled.
- ItemTypeValue; string; An attribute that indicates a grouping of all items of a particular category that share the same set of item attributes, used as a high-level grouping for processes. For example, each account generator item type (such as FA account generator) contains a group of processes for determining how an accounting flexfield code combination is created.
- OrganizationCode; string; A name of an organizing unit in the internal or external structure of your enterprise. Organization structures provide the framework for performing legal reporting, financial control, and management reporting.
- ParentBillSequenceId; integer; A unique identifier for parent structure.
- ParentItemNumber; string; An attribute for the parent of an identifier for a part, material, product or service that is unique as compared with other items by the nature of its attributes.
- Quantity; number; An attribute value which represent the quantity of a component in structure.
- StartDateTime; string; The date and time on which a component in a structure begins.
- StructureName; string; An attribute which value represents the name of a structure.
- ToSerialNumber; string; An attribute value which represents the serial number at the beginning of the end item (or root item) serial number range during which a given record is available.
- ToUnitNumber; string; An attribute value which represents the Unit number at the beginning of the end item (or root item) unit number range during which a given record is available.
- TopItemFlag; boolean; A flag that identifies the root item for the explosion of the structure.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : itemStructures-Component-WhereUsed
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : itemStructures-Component-WhereUsed-item-response
Type:
Show Source
object-
BasisValue: string
Maximum Length:
80An attribute value that indicates how the component quantity is consumed in an assembly. The values include item and lot. -
ComponentBillSequenceId: integer
(int64)
A unique identifier of the parent structure.
-
ComponentItemDescription: string
Maximum Length:
240An attribute value that represents the item description of a component. -
ComponentItemNumber: string
Maximum Length:
300An attribute value that represents the item number of a component. -
ComponentPath: string
Maximum Length:
4000An attribute value that represents the hierarchical Path of a component item to the root item in a structure. -
ComponentSequenceId: integer
(int64)
A unique identifier for an Component in a structure.
-
EffectivityControlValue: string
An attribute which value indicates the way effectively is controlled within a structure. The values include Date, Unit Number, or Serial Number.
-
EndDateTime: string
(date-time)
The date and time on which a component in a structure ends.
-
FromSerialNumber: string
Maximum Length:
30Starting Item serial number that a component is effective in a structure. Valid only for serial effective structures. -
FromUnitNumber: string
Maximum Length:
30Starting Item Unit Number or starting Item Serial Number that a component is effective in a structure. Valid only for unit effective structures. -
ItemClassName: string
Maximum Length:
250An attribute that value provides metadata common to all items that share the category. -
ItemStatusValue: string
Maximum Length:
240An attribute that defines codes used to control the transaction activity of an item. For example, an item in active status can be customer order enabled. -
ItemTypeValue: string
Maximum Length:
80An attribute that indicates a grouping of all items of a particular category that share the same set of item attributes, used as a high-level grouping for processes. For example, each account generator item type (such as FA account generator) contains a group of processes for determining how an accounting flexfield code combination is created. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
OrganizationCode: string
A name of an organizing unit in the internal or external structure of your enterprise. Organization structures provide the framework for performing legal reporting, financial control, and management reporting.
-
ParentBillSequenceId: integer
(int64)
A unique identifier for parent structure.
-
ParentItemNumber: string
An attribute for the parent of an identifier for a part, material, product or service that is unique as compared with other items by the nature of its attributes.
-
Quantity: number
An attribute value which represent the quantity of a component in structure.
-
StartDateTime: string
(date-time)
The date and time on which a component in a structure begins.
-
StructureName: string
An attribute which value represents the name of a structure.
-
TopItemFlag: boolean
Maximum Length:
1A flag that identifies the root item for the explosion of the structure. -
ToSerialNumber: string
Maximum Length:
30An attribute value which represents the serial number at the beginning of the end item (or root item) serial number range during which a given record is available. -
ToUnitNumber: string
Maximum Length:
30An attribute value which represents the Unit number at the beginning of the end item (or root item) unit number range during which a given record is available.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
This example describes how to get all items that use this component.
Example cURL Command
Use the following cURL command to submit a request on the REST resource:
curl -u username:password "https://servername/fscmRestApi/resources/version/itemStructures/BillSequenceId/child/Component/ComponentSequenceId/child/WhereUsed"
Example Response Body
The following shows an example of the response body in JSON format.
{
"items": [
{
"OrganizationCode": "V1",
"ParentItemNumber": null,
"StructureName": "EBOM_KM",
"ParentBillSequenceId": null,
"TopItemFlag": true,
"EffectivityControlValue": "Date",
"ComponentPath": ">JUN26_PIM001",
"ComponentItemNumber": "JUN26_PIM001",
"ComponentItemDescription": "JUN26_PIM001",
"ComponentBillSequenceId": 300100159234307,
"ComponentSequenceId": -1,
"Quantity": null,
"ItemClassName": "Root Item Class",
"ItemTypeValue": "Finished Good",
"ItemStatusValue": "Active",
"BasisValue": null,
"FromSerialNumber": null,
"ToSerialNumber": null,
"FromUnitNumber": null,
"ToUnitNumber": null,
"StartDateTime": null,
"EndDateTime": null,
...
},
...
],
...
}